Skip to content

order.shipping_and_tax

POST
/order_shipping_and_tax

This retrieves a shopper's shipping options and tax calculations for a given order.

Authorization

ApiKeyAuth X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Scope: X-API-Key

Header Parameters

X-Bolt-Hmac-Sha256?string

Bolt sends a signed HMAC for hook verification

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/order_shipping_and_tax" \  -H "Content-Type: application/json" \  -d '{}'
{  "event": "order.shipping_and_tax",  "status": "success",  "data": {    "shipping_options": [      {        "service": "Option 1",        "description": "The <span id=\"1\">most</span> popular choice",        "cost": 770,        "tax_amount": 230,        "reference": "1123",        "signature": "a1B2s3dC4f5g5D6hj6E7k8F9l0",        "estimated_delivery_date": "08-30-2022",        "tax_code": "tax-12345",        "discount_by_membership": false,        "default": true,        "description_tooltips": [          {            "target": 1,            "html_content": "Timeline may vary depending on <b>location</b>."          }        ]      }    ],    "pickup_options": [      {        "reference": "1123",        "signature": "a1B2s3dC4f5g5D6hj6E7k8F9l0",        "cost": 770,        "tax_amount": 230,        "store_name": "Bolt Swag Store #47",        "pickup_window_open": 1578904185,        "pickup_window_close": 1578904185,        "address": {          "street_address1": "42 Wallaby Way",          "street_address2": "42 Wallaby Way",          "street_address3": "42 Wallaby Way",          "street_address4": "42 Wallaby Way",          "locality": "Wayne County",          "region": "Quebec",          "postal_code": "11209",          "country_code": "US",          "country": "Canada"        },        "distance": 2,        "distance_unit": "miles"      }    ],    "ship_to_store_options": [      {        "service": "Option 1",        "description": "The <span id=\"1\">most</span> popular choice",        "cost": 770,        "tax_amount": 230,        "reference": "1123",        "signature": "a1B2s3dC4f5g5D6hj6E7k8F9l0",        "estimated_delivery_date": "08-30-2022",        "tax_code": "tax-12345",        "discount_by_membership": false,        "default": true,        "description_tooltips": [          {            "target": 1,            "html_content": "Timeline may vary depending on <b>location</b>."          }        ]      }    ],    "tax_result": {      "items": [        {          "reference": "1123",          "name": "Blue Hat",          "description": " Large blue satin hat with initials embroidered.",          "options": "string option",          "total_amount": 9900,          "unit_price": 500,          "tax_amount": {            "amount": 754,            "currency": "USD",            "currency_symbol": "$"          },          "quantity": 3,          "uom": "string",          "upc": "string",          "sku": "SKU-11021",          "isbn": "12-345-678-90123",          "brand": "Bolt Swagstore",          "manufacturer": "Bolt Factory",          "category": "hats",          "collections": [            "summer"          ],          "tags": "red",          "color": "Red",          "size": "XXL",          "weight": {            "weight": 22,            "unit": "kg"          },          "image_url": "https://boltswagstore.com/inventory/hats/red-hat.png",          "details_url": "https://boltswagstore.com/inventory/hats/red-hat.png",          "type": "physical",          "taxable": true,          "properties": [            {              "name": "a-name",              "value": "a-value"            }          ],          "item_group": "Ships Immediately",          "shipment_type": "unknown",          "customizations": [            {              "name": "Bedazzled",              "price": {                "amount": 754,                "currency": "USD",                "currency_symbol": "$"              },              "attributes": {                "key1": "value1",                "key2": "value2"              }            }          ],          "bolt_product_id": "e2bb0e7e-5625-536f-8ad7-25a26537ee28",          "gift_options": {            "wrap": false,            "message": "Happy Anniversary, Smoochy Poo!",            "cost": 785,            "merchant_product_id": "881"          }        }      ],      "rate_subtotal": 300,      "rate_shipping": 234,      "subtotal_amount": 754    },    "metadata": {      "key1": "value1",      "key2": "value2"    }  }}